package com.siwei.rsmonitoring.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.siwei.common.core.annotation.Excel;
import com.siwei.common.core.web.domain.BaseEntity;

import java.util.ArrayList;
import java.util.List;

/**
 * 地块的审核流程类型对象 t_dk_auditflow_type
 *
 * @author siwei
 * @date 2025-01-20
 */
public class TDkAuditflowType extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private String id;

    /**
     * 审核流程类型编码
     */
    @Excel(name = "审核流程类型编码")
    private String auditflowCode;

    /**
     * 审核流程类型名称
     */
    @Excel(name = "审核流程类型名称")
    private String auditflowValue;

    /**
     * 排序
     */
    @Excel(name = "排序")
    private Long sort;

    private List<TDkAuditflowStep> children = new ArrayList<>();

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setAuditflowCode(String auditflowCode) {
        this.auditflowCode = auditflowCode;
    }

    public String getAuditflowCode() {
        return auditflowCode;
    }

    public void setAuditflowValue(String auditflowValue) {
        this.auditflowValue = auditflowValue;
    }

    public String getAuditflowValue() {
        return auditflowValue;
    }

    public void setSort(Long sort) {
        this.sort = sort;
    }

    public Long getSort() {
        return sort;
    }


    public List<TDkAuditflowStep> getChildren() {
        return children;
    }

    public void setChildren(List<TDkAuditflowStep> children) {
        this.children = children;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("auditflowCode", getAuditflowCode())
                .append("auditflowValue", getAuditflowValue())
                .append("sort", getSort())
                .toString();
    }


}
